%define languageenglazy Italian
%define languagecode    it
%define lc_ctype        it_IT

%define upstream_version 20070901

Name:           hunspell-%{languagecode}
Version:        2.4
Release:        %mkrel 0.6.%{upstream_version}.4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv3+
Group:          System/Internationalization
URL:            http://linguistico.sourceforge.net
Source0:        http://downloads.sourceforge.net/sourceforge/linguistico/italiano_2_4_2007_09_01.zip
Patch0:         %{name}-sf2994177.cleandic.patch

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-it
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-it_CH = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-it_CH = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c
%patch0 -p0 -b .cleandic

%build
chmod -x *.*

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

it_IT_aliases="it_CH"
pushd %{buildroot}%{_datadir}/hunspell
    for lang in $it_IT_aliases
    do
        ln -s %{lc_ctype}.aff $lang.aff
        ln -s %{lc_ctype}.dic $lang.dic
    done
popd #%%{buildroot}%%{_datadir}/hunspell

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    for lang in $it_IT_aliases
    do
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc it_IT_README.txt it_IT_COPYING it_IT_AUTHORS it_IT_license.txt it_IT_notes.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Tue Mar 20 2012 kamil <kamil> 2.4-0.6.20070901.4.mga2
+ Revision: 224697
- add requirement on locales (mga#4632)

* Mon Feb 13 2012 kamil <kamil> 2.4-0.6.20070901.3.mga2
+ Revision: 208482
- use better obsoleting of myspell
- fix providing of it_CH

* Thu Jan 26 2012 kamil <kamil> 2.4-0.6.20070901.2.mga2
+ Revision: 201841
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 2.4-0.6.20070901.1.mga1
+ Revision: 68869
- imported package hunspell-it

